MKDIR(1)

NAME
mkdir - create directories

SYNOPSIS
mkdir [-pv] [-m mode] [name1]... [name2]...

DESCRIPTION
mkdir creates a directory for each name if it does not already exist, using mode rwxrwxrwx (0777) as modified by the current umask(2).

OPTIONS

-m  Set the file permission bits of the final created directory to the specified mode.

-p  Create intermediate directories as required. If this option is not specified, the full path prefix of each operand must already exist. Intermediate directories are created with permission bits of rwxrwxrwx (0777) as modified by the current umask. It is not considered an error if the argument directory already exists.

-v  print a message for each created directory.

The user must have write permission in the parent directory.

EXIT STATUS

AUTHOR
Written by the JeanG3nie for HitchHiker Linux.

SEE ALSO
chmod(1), rmdir(1), mkdir(2), umask(2)

HISTORY
A mkdir utility appeared in AT&T UNIX.